<xml></xml>

Saxon API for .NET |

# QName Properties

The properties of the QName class are listed below. For a complete list of QName class members, see the QName Members topic.

#### Public Instance Properties

ClarkName | The expanded name, as a string using the notation devised by James Clark. If the name is in a namespace, the resulting string takes the form `{uri}local`. Otherwise, the value is the local part of the name.
LocalName | The local part of the QName
Prefix | The prefix of the QName. This plays no role in operations such as comparison of QNames for equality, but is retained (as specified in XPath) so that a string representation can be reconstructed.
Uri | The namespace URI of the QName. Returns "" (the zero-length string) if the QName is not in a namespace.

#### See Also

QName Class | Saxon.Api Namespace